Package org.apache.commons.net.ftp

# Class FTPCommand

java.lang.Object
org.apache.commons.net.ftp.FTPCommand

@Deprecated public final class FTPCommand extends Object
Deprecated.
use `FTPCmd` instead
FTPCommand stores a set of constants for FTP command codes. To interpret the meaning of the codes, familiarity with RFC 959 is assumed. The mnemonic constant names are transcriptions from the code descriptions of RFC 959. For those who think in terms of the actual FTP commands, a set of constants such as `USER` are provided where the constant name is the same as the FTP command.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ABOR`
  Deprecated.
  Command code 21.
  `static final int`
  `ABORT`
  Deprecated.
  Alias for 21.
  `static final int`
  `ACCOUNT`
  Deprecated.
  Alias for 2.
  `static final int`
  `ACCT`
  Deprecated.
  Command code 2.
  `static final int`
  `ALLO`
  Deprecated.
  Command code 17.
  `static final int`
  `ALLOCATE`
  Deprecated.
  Alias for 17.
  `static final int`
  `APPE`
  Deprecated.
  Command code 16.
  `static final int`
  `APPEND`
  Deprecated.
  Alias for 16.
  `static final int`
  `CDUP`
  Deprecated.
  Command code 4.
  `static final int`
  `CHANGE_TO_PARENT_DIRECTORY`
  Deprecated.
  Alias for 4.
  `static final int`
  `CHANGE_WORKING_DIRECTORY`
  Deprecated.
  Alias for 3.
  `static final int`
  `CWD`
  Deprecated.
  Command code 3.
  `static final int`
  `DATA_PORT`
  Deprecated.
  Alias for 8.
  `static final int`
  `DELE`
  Deprecated.
  Command code 22.
  `static final int`
  `DELETE`
  Deprecated.
  Alias for 22.
  `static final int`
  `EPRT`
  Deprecated.
  Command code 37.
  `static final int`
  `EPSV`
  Deprecated.
  Command code 36.
  `static final int`
  `FEAT`
  Deprecated.
  Command code 34.
  `static final int`
  `FEATURES`
  Deprecated.
  Alias for 34.
  `static final int`
  `FILE_STRUCTURE`
  Deprecated.
  Alias for 11.
  `static final int`
  `GET_MOD_TIME`
  Deprecated.
  Alias for 33.
  `static final int`
  `HELP`
  Deprecated.
  Command code 31.
  `static final int`
  `LIST`
  Deprecated.
  Command code 26.
  `static final int`
  `LOGOUT`
  Deprecated.
  Alias for 7.
  `static final int`
  `MAKE_DIRECTORY`
  Deprecated.
  Alias for 24.
  `static final int`
  `MDTM`
  Deprecated.
  Command code 33.
  `static final int`
  `MFMT`
  Deprecated.
  Command code 35.
  `static final int`
  `MKD`
  Deprecated.
  Command code 24.
  `static final int`
  `MLSD`
  Deprecated.
  Machine parseable list for a directory.
  `static final int`
  `MLST`
  Deprecated.
  Machine parseable list for a single file.
  `static final int`
  `MOD_TIME`
  Deprecated.
  Alias for 33.
  `static final int`
  `MODE`
  Deprecated.
  Command code 12.
  `static final int`
  `NAME_LIST`
  Deprecated.
  Alias for 27.
  `static final int`
  `NLST`
  Deprecated.
  Command code 27.
  `static final int`
  `NOOP`
  Deprecated.
  Command code 32.
  `static final int`
  `PASS`
  Deprecated.
  Command code 1.
  `static final int`
  `PASSIVE`
  Deprecated.
  Alias for 9.
  `static final int`
  `PASSWORD`
  Deprecated.
  Alias for 1.
  `static final int`
  `PASV`
  Deprecated.
  Command code 9.
  `static final int`
  `PORT`
  Deprecated.
  Command code 8.
  `static final int`
  `PRINT_WORKING_DIRECTORY`
  Deprecated.
  Alias for 25.
  `static final int`
  `PWD`
  Deprecated.
  Command code 25.
  `static final int`
  `QUIT`
  Deprecated.
  Command code 7.
  `static final int`
  `REIN`
  Deprecated.
  Command code 6.
  `static final int`
  `REINITIALIZE`
  Deprecated.
  Alias for 6.
  `static final int`
  `REMOVE_DIRECTORY`
  Deprecated.
  Alias for 23.
  `static final int`
  `RENAME_FROM`
  Deprecated.
  Alias for 19.
  `static final int`
  `RENAME_TO`
  Deprecated.
  Alias for 20.
  `static final int`
  `REPRESENTATION_TYPE`
  Deprecated.
  Alias for 10.
  `static final int`
  `REST`
  Deprecated.
  Command code 18.
  `static final int`
  `RESTART`
  Deprecated.
  Alias for 18.
  `static final int`
  `RETR`
  Deprecated.
  Command code 13.
  `static final int`
  `RETRIEVE`
  Deprecated.
  Alias for 13.
  `static final int`
  `RMD`
  Deprecated.
  Command code 23.
  `static final int`
  `RNFR`
  Deprecated.
  Command code 19.
  `static final int`
  `RNTO`
  Deprecated.
  Command code 20.
  `static final int`
  `SET_MOD_TIME`
  Deprecated.
  Alias for 35.
  `static final int`
  `SITE`
  Deprecated.
  Command code 28.
  `static final int`
  `SITE_PARAMETERS`
  Deprecated.
  Alias for 28.
  `static final int`
  `SMNT`
  Deprecated.
  Command code 5.
  `static final int`
  `STAT`
  Deprecated.
  Command code 30.
  `static final int`
  `STATUS`
  Deprecated.
  Alias for 30.
  `static final int`
  `STOR`
  Deprecated.
  Command code 14.
  `static final int`
  `STORE`
  Deprecated.
  Alias for 14.
  `static final int`
  `STORE_UNIQUE`
  Deprecated.
  Alias for 15.
  `static final int`
  `STOU`
  Deprecated.
  Command code 15.
  `static final int`
  `STRU`
  Deprecated.
  Command code 11.
  `static final int`
  `STRUCTURE_MOUNT`
  Deprecated.
  Alias for 5.
  `static final int`
  `SYST`
  Deprecated.
  Command code 29.
  `static final int`
  `SYSTEM`
  Deprecated.
  Alias for 29.
  `static final int`
  `TRANSFER_MODE`
  Deprecated.
  Alias for 12.
  `static final int`
  `TYPE`
  Deprecated.
  Command code 10.
  `static final int`
  `USER`
  Deprecated.
  Command code 0.
  `static final int`
  `USERNAME`
  Deprecated.
  Alias for 0.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getCommand(int command)`
  Deprecated.
  Retrieve the FTP protocol command string corresponding to a specified command code.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### USER

    public static final int USER
    Deprecated.
    Command code 0.
    See Also:
      - Constant Field Values

  - ### PASS

    public static final int PASS
    Deprecated.
    Command code 1.
    See Also:
      - Constant Field Values

  - ### ACCT

    public static final int ACCT
    Deprecated.
    Command code 2.
    See Also:
      - Constant Field Values

  - ### CWD

    public static final int CWD
    Deprecated.
    Command code 3.
    See Also:
      - Constant Field Values

  - ### CDUP

    public static final int CDUP
    Deprecated.
    Command code 4.
    See Also:
      - Constant Field Values

  - ### SMNT

    public static final int SMNT
    Deprecated.
    Command code 5.
    See Also:
      - Constant Field Values

  - ### REIN

    public static final int REIN
    Deprecated.
    Command code 6.
    See Also:
      - Constant Field Values

  - ### QUIT

    public static final int QUIT
    Deprecated.
    Command code 7.
    See Also:
      - Constant Field Values

  - ### PORT

    public static final int PORT
    Deprecated.
    Command code 8.
    See Also:
      - Constant Field Values

  - ### PASV

    public static final int PASV
    Deprecated.
    Command code 9.
    See Also:
      - Constant Field Values

  - ### TYPE

    public static final int TYPE
    Deprecated.
    Command code 10.
    See Also:
      - Constant Field Values

  - ### STRU

    public static final int STRU
    Deprecated.
    Command code 11.
    See Also:
      - Constant Field Values

  - ### MODE

    public static final int MODE
    Deprecated.
    Command code 12.
    See Also:
      - Constant Field Values

  - ### RETR

    public static final int RETR
    Deprecated.
    Command code 13.
    See Also:
      - Constant Field Values

  - ### STOR

    public static final int STOR
    Deprecated.
    Command code 14.
    See Also:
      - Constant Field Values

  - ### STOU

    public static final int STOU
    Deprecated.
    Command code 15.
    See Also:
      - Constant Field Values

  - ### APPE

    public static final int APPE
    Deprecated.
    Command code 16.
    See Also:
      - Constant Field Values

  - ### ALLO

    public static final int ALLO
    Deprecated.
    Command code 17.
    See Also:
      - Constant Field Values

  - ### REST

    public static final int REST
    Deprecated.
    Command code 18.
    See Also:
      - Constant Field Values

  - ### RNFR

    public static final int RNFR
    Deprecated.
    Command code 19.
    See Also:
      - Constant Field Values

  - ### RNTO

    public static final int RNTO
    Deprecated.
    Command code 20.
    See Also:
      - Constant Field Values

  - ### ABOR

    public static final int ABOR
    Deprecated.
    Command code 21.
    See Also:
      - Constant Field Values

  - ### DELE

    public static final int DELE
    Deprecated.
    Command code 22.
    See Also:
      - Constant Field Values

  - ### RMD

    public static final int RMD
    Deprecated.
    Command code 23.
    See Also:
      - Constant Field Values

  - ### MKD

    public static final int MKD
    Deprecated.
    Command code 24.
    See Also:
      - Constant Field Values

  - ### PWD

    public static final int PWD
    Deprecated.
    Command code 25.
    See Also:
      - Constant Field Values

  - ### LIST

    public static final int LIST
    Deprecated.
    Command code 26.
    See Also:
      - Constant Field Values

  - ### NLST

    public static final int NLST
    Deprecated.
    Command code 27.
    See Also:
      - Constant Field Values

  - ### SITE

    public static final int SITE
    Deprecated.
    Command code 28.
    See Also:
      - Constant Field Values

  - ### SYST

    public static final int SYST
    Deprecated.
    Command code 29.
    See Also:
      - Constant Field Values

  - ### STAT

    public static final int STAT
    Deprecated.
    Command code 30.
    See Also:
      - Constant Field Values

  - ### HELP

    public static final int HELP
    Deprecated.
    Command code 31.
    See Also:
      - Constant Field Values

  - ### NOOP

    public static final int NOOP
    Deprecated.
    Command code 32.
    See Also:
      - Constant Field Values

  - ### MDTM

    public static final int MDTM
    Deprecated.
    Command code 33.
    Since:
      2.0
    See Also:
      - Constant Field Values

  - ### FEAT

    public static final int FEAT
    Deprecated.
    Command code 34.
    Since:
      2.2
    See Also:
      - Constant Field Values

  - ### MFMT

    public static final int MFMT
    Deprecated.
    Command code 35.
    Since:
      2.0
    See Also:
      - Constant Field Values

  - ### EPSV

    public static final int EPSV
    Deprecated.
    Command code 36.
    Since:
      2.0
    See Also:
      - Constant Field Values

  - ### EPRT

    public static final int EPRT
    Deprecated.
    Command code 37.
    Since:
      2.0
    See Also:
      - Constant Field Values

  - ### MLSD

    public static final int MLSD
    Deprecated.
    Machine parseable list for a directory.
    Since:
      3.0
    See Also:
      - Constant Field Values

  - ### MLST

    public static final int MLST
    Deprecated.
    Machine parseable list for a single file.
    Since:
      3.0
    See Also:
      - Constant Field Values

  - ### USERNAME

    public static final int USERNAME
    Deprecated.
    Alias for 0.
    See Also:
      - Constant Field Values

  - ### PASSWORD

    public static final int PASSWORD
    Deprecated.
    Alias for 1.
    See Also:
      - Constant Field Values

  - ### ACCOUNT

    public static final int ACCOUNT
    Deprecated.
    Alias for 2.
    See Also:
      - Constant Field Values

  - ### CHANGE_WORKING_DIRECTORY

    public static final int CHANGE_WORKING_DIRECTORY
    Deprecated.
    Alias for 3.
    See Also:
      - Constant Field Values

  - ### CHANGE_TO_PARENT_DIRECTORY

    public static final int CHANGE_TO_PARENT_DIRECTORY
    Deprecated.
    Alias for 4.
    See Also:
      - Constant Field Values

  - ### STRUCTURE_MOUNT

    public static final int STRUCTURE_MOUNT
    Deprecated.
    Alias for 5.
    See Also:
      - Constant Field Values

  - ### REINITIALIZE

    public static final int REINITIALIZE
    Deprecated.
    Alias for 6.
    See Also:
      - Constant Field Values

  - ### LOGOUT

    public static final int LOGOUT
    Deprecated.
    Alias for 7.
    See Also:
      - Constant Field Values

  - ### DATA_PORT

    public static final int DATA_PORT
    Deprecated.
    Alias for 8.
    See Also:
      - Constant Field Values

  - ### PASSIVE

    public static final int PASSIVE
    Deprecated.
    Alias for 9.
    See Also:
      - Constant Field Values

  - ### REPRESENTATION_TYPE

    public static final int REPRESENTATION_TYPE
    Deprecated.
    Alias for 10.
    See Also:
      - Constant Field Values

  - ### FILE_STRUCTURE

    public static final int FILE_STRUCTURE
    Deprecated.
    Alias for 11.
    See Also:
      - Constant Field Values

  - ### TRANSFER_MODE

    public static final int TRANSFER_MODE
    Deprecated.
    Alias for 12.
    See Also:
      - Constant Field Values

  - ### RETRIEVE

    public static final int RETRIEVE
    Deprecated.
    Alias for 13.
    See Also:
      - Constant Field Values

  - ### STORE

    public static final int STORE
    Deprecated.
    Alias for 14.
    See Also:
      - Constant Field Values

  - ### STORE_UNIQUE

    public static final int STORE_UNIQUE
    Deprecated.
    Alias for 15.
    See Also:
      - Constant Field Values

  - ### APPEND

    public static final int APPEND
    Deprecated.
    Alias for 16.
    See Also:
      - Constant Field Values

  - ### ALLOCATE

    public static final int ALLOCATE
    Deprecated.
    Alias for 17.
    See Also:
      - Constant Field Values

  - ### RESTART

    public static final int RESTART
    Deprecated.
    Alias for 18.
    See Also:
      - Constant Field Values

  - ### RENAME_FROM

    public static final int RENAME_FROM
    Deprecated.
    Alias for 19.
    See Also:
      - Constant Field Values

  - ### RENAME_TO

    public static final int RENAME_TO
    Deprecated.
    Alias for 20.
    See Also:
      - Constant Field Values

  - ### ABORT

    public static final int ABORT
    Deprecated.
    Alias for 21.
    See Also:
      - Constant Field Values

  - ### DELETE

    public static final int DELETE
    Deprecated.
    Alias for 22.
    See Also:
      - Constant Field Values

  - ### REMOVE_DIRECTORY

    public static final int REMOVE_DIRECTORY
    Deprecated.
    Alias for 23.
    See Also:
      - Constant Field Values

  - ### MAKE_DIRECTORY

    public static final int MAKE_DIRECTORY
    Deprecated.
    Alias for 24.
    See Also:
      - Constant Field Values

  - ### PRINT_WORKING_DIRECTORY

    public static final int PRINT_WORKING_DIRECTORY
    Deprecated.
    Alias for 25.
    See Also:
      - Constant Field Values

  - ### NAME_LIST

    public static final int NAME_LIST
    Deprecated.
    Alias for 27.
    See Also:
      - Constant Field Values

  - ### SITE_PARAMETERS

    public static final int SITE_PARAMETERS
    Deprecated.
    Alias for 28.
    See Also:
      - Constant Field Values

  - ### SYSTEM

    public static final int SYSTEM
    Deprecated.
    Alias for 29.
    See Also:
      - Constant Field Values

  - ### STATUS

    public static final int STATUS
    Deprecated.
    Alias for 30.
    See Also:
      - Constant Field Values

  - ### MOD_TIME

    public static final int MOD_TIME
    Deprecated.
    Alias for 33.
    Since:
      2.0
    See Also:
      - Constant Field Values

  - ### FEATURES

    public static final int FEATURES
    Deprecated.
    Alias for 34.
    Since:
      2.2
    See Also:
      - Constant Field Values

  - ### GET_MOD_TIME

    public static final int GET_MOD_TIME
    Deprecated.
    Alias for 33.
    Since:
      2.2
    See Also:
      - Constant Field Values

  - ### SET_MOD_TIME

    public static final int SET_MOD_TIME
    Deprecated.
    Alias for 35.
    Since:
      2.2
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getCommand

    public static String getCommand(int command)
    Deprecated.
    Retrieve the FTP protocol command string corresponding to a specified command code.
    Parameters:
      `command` - The command code.
    Returns:
      The FTP protcol command string corresponding to a specified command code.